debug: FORCE
	meson setup build_dbg -Dbuildtype=debugoptimized
	meson install --only-changed -C build_dbg
	
fast: FORCE
	meson setup build_fast
	meson install -C build_fast

release: FORCE
	meson setup -Dbuildtype=release -Db_lto=true -Db_lto_mode=thin -Db_ndebug=true build_release
	meson install -C build_release

sanitize: FORCE
	meson setup -Db_sanitize=address -Db_sanitize=memory -Db_sanitize=leak -Db_sanitize=undefined build_sani
	meson install -C build_sani

small: FORCE
	meson setup -Dbuildtype=minsize -Db_lto=true -Db_ndebug=true build_small
	meson install -C build_small

web: FORCE
	meson setup -Deditor=false -Dbuildtype=minsize -Db_lto=true -Db_ndebug=true --cross-file emscripten.cross build_web
	meson compile -C build_web

crosswin: FORCE
	meson setup -Dbuildtype=debugoptimized --cross-file mingw32.cross build_win
	meson compile -C build_win

FORCE:
